/**
Navigate Through this file
01 - CORE
02 - BASIC STYLING
03 - BASIC CLASSES
04 - COMMON PAGE CLASS ELEMENTS
    04a - HEADER
    04b - FOOTER
    04c - GLOBAL COMPONENTS (Modal)
05 - GRID
MQ - MEDIA QUERIES
**/


/**
01 - CORE
*/

:root {
    --main-color: #6a0d00;
    --alt-color: #f9f1e8;
    --yellow: #e6c9a2;
    --dark-text: #0e1927;
    --main-font: 'Cerebri Sans', sans-serif;
    --alt-font: 'Audrey', serif;
    --min-font: 14px;
    --normal-font: 15px;
    --mid-font: 16px;
    --lar-font: 17px;
    --big-font: 18px;
    --heading: clamp(20px, 4vw, 55px);
    --xs-heading: 20px;
    --small-heading: clamp(15px, 2vw, 23px);
    --section-heading: clamp(20px, 3vw, 40px);
}


/**
02 - BASIC STYLING
**/
@font-face {
    font-family: "Audrey";
    src: url("../../assets/font/Audrey-Medium.otf");
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

@font-face {
    font-family: "Cerebri Sans";
    src: url("../../assets/font/CerebriSans-Book.ttf");
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: var(--main-font);
}

body:not(.title) {
    font-size: var(--normal-font);
    line-height: 25px;
    letter-spacing: 0.2px;
    font-weight: 400;
    color: #666666;
}

[x-cloak]{
    display: none !important;
}

p {
    color: black;
}

img {
    max-width: 100%;
    height: auto;
    transform: scale(1);
}

ul {
    margin: 0;
    padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--alt-font);
    font-weight: 700;
}

details{
    cursor: pointer;
}

section:not(section.menu){
    overflow: hidden;
}

.form-column {
    background: var(--alt-color);
}

form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

form button{
    background: transparent;
}

input,textarea{
    width: 100%;
    padding-inline: 1rem;
    font-family: var(--main-font);
}

/*label:not([for="term_privacy"]){
    display: none;
    margin-bottom: 0;
}*/

label[for="term_privacy"]{
    margin-right: 0.5rem;
}

input[type="checkbox"]{
    width: auto;
}

input:not([type='checkbox']){
    height: 40px;
}

textarea{
    height:150px;
    padding-top: 1rem;
}

select{
    height: 40px;
    width: 100%;
}

option{
    height: 40px;
}

fieldset{
    border: 0
}

legend{
    font-family: var(--alt-font);
    text-transform: uppercase;
}

input:is(:focus,:focus-visible),
textarea:is(:focus,:focus-visible),
select:is(:focus,:focus-visible){
    outline: 3px solid var(--yellow);
    border: none;
}


a {
    text-decoration: none;
    color: inherit;
}


.iubenda-nostyle{
    text-decoration: underline!important;
}

figcaption {
    font-weight: 400;
    color: black;
}

iframe{
    border:0;
    max-width: 100%;
}

/**
03 - Basic utility classes
**/


.bg-main {
    background: var(--main-color);
}

.text-main {
    color: var(--main-color)
}

.bg-secondary {
    background: var(--alt-color);
}

.text-secondary {
    color: var(--alt-color)
}

.font-main {
    font-family: var(--main-font);
}

.font-alt {
    font-family: var(--alt-font);
}

.btn {
    position: relative;
    font-family: var(--main-font);
    margin-bottom: 10px;
    display: inline-block;
    height: 50px;
    padding: 0 30px;
    border-radius: 0;
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 1.9px;
    line-height: 50px;
    text-transform: uppercase;
    background-size: 300%;
    transition: all 0.3s ease;
    cursor: pointer;
}

.btn--small{
    height: 36px;
    padding: 0 20px;
    line-height: 36px;
}

.btn::before {
    --btn-bg: transparent;
    --btn-border: transparent;
    content: "";
    position: absolute;
    bottom: -10px;
    left: 0;
    height: 1px;
    width: 100%;
    background: var(--btn-bg);
    transition: all 0.3s ease;
}

.btn:hover {
    color: var(--yellow);
    background-position: 95%;
}

.btn:hover::before {
    transform: translateY(-10px)
}

.btn--yellow {
    --btn-bg: var(--yellow);
    --btn-border: var(--yellow);
    background-image: linear-gradient(160deg, var(--yellow) 50%, #fff 50%);
    border: 1px solid var(--yellow);
    color: var(--dark-text);
}

.btn.btn--yellow::before {
    --btn-bg: var(--yellow)
}

.btn--outline-yellow {
    --btn-bg: var(--yellow);
    --btn-border: var(--yellow);
    background-image: linear-gradient(160deg, transparent 50%, var(--yellow) 50%);
    border: 1px solid var(--yellow);
    color: var(--yellow);
}

.btn--outline-yellow:hover {
    color: var(--dark-text);
}

.btn.btn--outline-yellow::before {
    --btn-bg: var(--yellow)
}

/***/

.btn--outline-whatsapp {
    --btn-bg: green;
    --btn-border: green;
    background-image: linear-gradient(160deg, transparent 50%, green 50%);
    border: 1px solid green;
    color: white;
}

.btn--outline-whatsapp:hover {
    color: white;
}

.btn.btn--outline-whatsapp::before {
    --btn-bg: green
}




.btn--dark {
    --btn-bg: var(--dark-text);
    --btn-border: var(--dark-text);
    background-image: linear-gradient(160deg, transparent 50%, var(--dark-text) 50%);
    border: 1px solid var(--dark-text);
    color: var(--dark-text);
}

.btn.btn--dark::before {
    --btn-bg: var(--dark-text)
}



.alerts {
    color: white;
    padding-inline: 1rem;
}

input[type="checkbox"]{
    width: 20px;
    height: 15px;
    margin-top: 2px;
    margin-left: 7px;
    display: inline-block;
}

.alerts--success {
    background: #0f6848;
    color: white;
    padding: 0 1rem;
}

.alerts--danger {
    background: darkred;
    color:white;
    padding: 0 1rem;
}



.d-none {
    display: none;
}

.center {
    text-align: center;
}

.custom-subtitle{
    display: block;
    margin-bottom: 1rem;
}

/**
04 - Common page element classes
**/
.header-section {
    --background-image: url(../images/bg_soralella.webp);
    background-image: linear-gradient(#00000085, #00000085), var(--background-image);
    background-size: cover;
    background-position: center center;
    position: relative;
    z-index: 10;
    padding: 50px;
}


.header-section .wrapper {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.title-crossed {
    color: #fff;
    text-transform: uppercase;
    margin-bottom: 50px;
    position: relative;
    text-align: center;
    font-size: 40px;
    line-height: 1.1;
}


.slider-nav::before {
    width: 2rem !important;
    height: 2rem !important;
}

.decorated-right {
    font-size: var(--normal-font);
    text-transform: uppercase;
    color: var(--dark-text);
    letter-spacing: 2.7px;
    position: relative;
    display: inline-block;
    line-height: 1;
    margin-bottom: 18px;
}

.decorated-right::after {
    content: "";
    position: absolute;
    top: 13px;
    right: -76px;
    width: 63px;
    height: 1px;
    background: #e6c9a2;
}


.halved-title {
    --font-color: var(--yellow);
    color: var(--font-color);
    margin-bottom: 23px;
    position: relative;
    display: inline-block;
    font-size: var(--normal-font);
}

.halved-title--dark {
    --font-color: var(--dark-text);
}

.halved-title::before,
.halved-title::after {
    content: "";
    position: absolute;
    top: 13px;
    width: 63px;
    height: 1px;
    background: #e6c9a2;
}

.halved-title::before {
    left: -76px;
}

.halved-title::after {
    right: -76px;
}

.wrap {
    flex-wrap: wrap;
}

.list-reset {
    list-style: none;
    padding-left: 0;
}

/**
04a - Header
*/
header {
    background: var(--main-color);
    position: sticky;
    top: 0;
    z-index: 999;
}

.navigation-bar {
    display: flex;
    justify-content: center;
    font-family: var(--alt-font);
    flex-direction: column;
    align-items: center;
}

.button-area {
    display: none;
}

footer .button-area{
    display: block;
}

.logo-area{
    padding-block: 5px;
}

.navigation {
    list-style: none;
    padding-inline: 1rem;
    padding-block: 1rem;
    display: flex;
    gap: 24px;
    width: 100%;
    overflow: auto;
    border-top: 1px solid var(--alt-color);
    border-bottom: 1px solid var(--alt-color);
    scroll-snap-type: x mandatory;
}

.navigation__item {
    color: white;
    height: 100%;
    position: relative;
    white-space: nowrap;
    transition: all 300ms;
    scroll-snap-align: center;
}


.navigation__item:hover {
    color: var(--yellow);
}

.navigation__item::after {
    content: "";
    width: 0;
    height: 2px;
    background: var(--yellow);
    display: block;
    position: absolute;
    bottom: 0;
    transition: all 300ms;
}

.navigation__item:hover::after {
    width: 100%;
}

.navigation__item--active::after{
    width: 100%;
}



.navigation__item__link {
    font-size: 14px;
    /*letter-spacing: 2.1px;*/
    font-family: var(--alt-font);
    font-weight: 200;
    position: relative;
    display: block;
    line-height: 1.5;
    text-transform: uppercase;
}

.button-area {
    margin-top: 16px;
}


/**
04b - Footer
**/
footer:first-of-type {
    background: var(--main-color);
    padding: 2rem 2rem 5rem;
}



footer .flex {
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: flex-end;
}

footer p {
    color: var(--yellow);
}

footer a {
    color: white;
}

.socials a{
    transition: all 200ms;
}
.socials a:hover{
    fill:var(--alt-color)
}

.mob-footer{
    background: var(--main-color);
    position: fixed;
    bottom: 0;
    width: 100%;
    padding: 10px;
    z-index: 999;
    border-top: 1px solid var(--alt-color);
}
.mob-footer .flex{
    justify-content: center;
    gap:1rem;
}


.language-switcher{
    position: fixed;
    bottom: 90px;
    z-index: 999;
    right: 15px;
    background-color: #fff;
    border-radius: 50%;
    border: 2px solid #6a0d00;
    width: 30px;
    height: 30px;
    text-align: center;
}

.flag{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
    border: 1px solid
}



.breadcrumbs {
    color: white;
    list-style: none;
    display: flex;
}

.breadcrumbs__item {
    font-size: 13px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.breadcrumbs__item:not(:last-of-type)::after {
    content: "/";
    display: inline-block;
    margin-inline: 5px;
}

.title {
    color: var(--main-color);
    font-size: var(--section-heading);
    letter-spacing: 2px;
    line-height: clamp(28px, 2em, 56px);
    font-weight: 500;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.title--dark {
    color: var(--dark-text);
}

.title--white{
    color:#fff;
}

.text {
    font-size: var(--lar-font);
    line-height: 26px;
    letter-spacing: 0.3px;
    margin-bottom: 1rem;
}

.text--danger{
    color:red;
}

.wrapper {
    width: 100%;
    margin-inline: auto;
    padding-inline: 15px;
}

.wrapper--unpadded{
    padding-inline: 0;
}

.mx-auto {
    margin: 0 auto;
}

.text-start-end{
    text-align: start;
}

.text-end-start{
    text-align: end;
}

/**
04c - Global Components
**/

.top{
    position: fixed;
    right: 12px;
    z-index: 999999;
    bottom: 22%;
    padding: 0;
    width: 34px;
    height: 34px;
    display: grid;
    place-content: center;
    border: none;
    background: #6a0d00;
    font-size: 23px;
    border-radius: 50%;
    text-align: center;
    outline: 2px solid;

    color: #e6c078;
}


.modal{
    font-size:var(--mid-font)
}

.modal__wrapper{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: "middle";
    place-items: center;
    position: fixed;
    z-index: 999;
    inset: 0;
}

.modal__overlay {
    height: 100vh;
    width: 100vw;
    background: rgba(0, 0, 0, 0.541);
    grid-area: middle;
    padding-inline:1rem;
    z-index: 99;
    inset: 0;
}

.modal__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    padding-inline:1rem;
    text-transform: uppercase;
    font-family: var(--alt-font);
    color: var(--main-color);
    border-bottom: 1px solid;
}

.modal__close{
    border: none;
    padding: 1em;
    margin-block: 0.5rem;
}

.modal__body{
    z-index: 9999;
    background: white;
    min-width: 310px;
    margin: 0 auto;
    grid-area: middle;
    max-width: 50vw;

}

.modal__content{
    padding-inline: 1rem;
    padding:2rem;
    text-align:center
}

.modal__title {
    font-size: 14px;
}




/**
05 - Common grid
**/
.flex {
    display: flex;
}

.flex-grid {
    display: flex;
    flex-wrap: wrap;
}

.flex-grid > * {
    padding-inline: 15px;
}

.flex-grid--unpadded > *{
    padding-inline:0
}

.col-12 {
    --width: 100%;
    width: var(--width);
}
.col-6{
    --width: 50%;
    width: var(--width);
}

.modal-menu-btn{
    margin-top: 32px;
}

.popup-note{
    margin-top: 16px;
}

/**
MQ - Media queries
*/
@media screen and (min-width: 768px) {

    .col-md-3 {
        --width: 25%;
    }

    .col-md-4 {
        --width: 33.333%;
    }

    .col-md-6 {
        --width: 50%;
    }

    footer:first-of-type{
        padding: 2rem;
    }

    .mob-footer{
        display: none;
    }

}

@media screen and (min-width: 991px) {

    .col-lg-4 {
        --width: 33.333%;
    }

    .col-lg-5 {
        --width: 41.66666667%;
    }

    .col-lg-6 {
        --width: 50%;
    }

    .col-lg-7 {
        --width: 58.33333333%;
    }

    .header-section{
        padding: 198px 0 34px;
    }

    .title-crossed::before,
    .title-crossed::after {
        position: absolute;
        content: url(../images/x.png);
        z-index: 20;
        width: 30px;
        height: 15px;
        top: -10px;
    }

    .title-crossed::before {
        left: -55px;
    }

    .title-crossed::after {
        right: -55px;
    }

    .title-crossed {
        margin-bottom: 127px;
    }

    .d-lg-inline{
        display: inline;
    }
}

@media screen and (min-width: 1200px) {

    .col-xl-5 {
        --width: 41.66666667%;
    }

    .col-xl-6 {
        --width: 50%;
    }

    .col-xl-7 {
        --width: 58.33333333%;
    }

}

@media screen and (min-width: 576px) {
    .wrapper {
        --wrapper: 540px;
        max-width: var(--wrapper);
        margin: 0 auto;
    }
}

@media screen and (min-width: 768px) {
    .wrapper {
        --wrapper: 720px;
        max-width: var(--wrapper);
        margin: 0 auto;
    }

    .text-start-end{
        text-align: end;
    }

    .text-end-start{
        text-align: start;
    }

    .navigation {
        justify-content: center;
    }
}

@media screen and (min-width: 992px) {
    .wrapper {
        --wrapper: 960px;
        max-width: var(--wrapper);
        margin: 0 auto;
    }
    .title-crossed{
        font-size: 55px;
    }
}

@media screen and (min-width: 1200px) {
    .logo-area img{
        height: 100%;
        width: 299px;
        object-fit: contain;
    }


    .wrapper,
    .wrapper-xl {
        --wrapper: 1140px;
        max-width: var(--wrapper);
        margin: 0 auto;
    }

    .navigation-bar {
        flex-direction: row;
        justify-content: space-between;
        align-items: unset;
    }


    .navigation {
        gap: 12px;
        padding: 0;
        margin-top: 31px;
        border-top: none;
        border-bottom: none;
    }

    .button-area {
        display: block;
        margin-bottom: 10px;
    }
}

@media screen and (min-width: 1440px) {
    .wrapper {
        --wrapper: 1550px;
        max-width: 1550px;
        margin: 0 auto;
    }
    .wrapper-xxl {
        --wrapper: 1550px;
        max-width: 1550px;
        margin: 0 auto;
    }
}




     /* Nasconde l'elemento finché Alpine non è pronto */
 [x-cloak] {
     display: none !important;
 }

/* Backdrop */
.dialog-backdrop {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Dialog box */
.dialog-box {
    background: white;
    padding: 2rem;
    border-radius: 8px;
    width: 100%;
    max-width: 600px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);

}

.dialog-header{
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}
/* Title */
.dialog-title {
    font-size: 1.5rem;
}

/* Footer */
.dialog-footer {
    border-top: 1px solid #dedede;
    margin-top: 1.5rem;
    text-align: center;
    padding-top: 1rem;
}

/* Close button */
.dialog-close {
    padding: 0.5rem 1rem;
    background-color: #facc15;
    border: none;
    color: #000;
    font-weight: bold;
    border-radius: 4px;
    cursor: pointer;
}

.dialog-close:hover {
    background-color: #fbbf24;
}

/**No infradito svg**/
@media screen and (max-width: 991px) {
    .include-picture{
        justify-content: unset !important;
    }
    .no-infradito{
        width: 110%;
        margin-left: -20px;
    }
}
